#pragma once
#include <dshow.h>
#include <qedit.h>
#include <d3d9.h>
#include <vmr9.h>

#define SAFE_RELEASE(x) if(x) x->Release(); x = NULL;

// Gets a capture device for use in a filter.
HRESULT GetCaptureDevice(IBaseFilter **ppSrc);
HRESULT StartVideoStream(HWND hwnd);
HRESULT RenderText(HDC hdc);